## foolscap-0.2.3.zip

=== Makefile ===

.PHONY: build test debian-sid debian-dapper debian-feisty debian-sarge
.PHONY: debian-edgy debian-etch

build:
	python setup.py build

TRIAL=trial
TEST=foolscap
test:
	$(TRIAL) $(TEST)

test-figleaf:
	rm -f .figleaf
	PYTHONPATH=misc/testutils trial --reporter=bwverbose-figleaf $(TEST)

figleaf-output:
	rm -rf coverage-html
	PYTHONPATH=misc/testutils python misc/testutils/figleaf2html -d coverage-html -r .
	@echo "now point your browser at coverage-html/index.html"
.figleaf.el: .figleaf
	PYTHONPATH=misc/testutils python misc/testutils/figleaf2el.py .figleaf .

debian-sid:
	rm -f debian
	ln -s misc/sid/debian debian
	chmod a+x debian/rules
	debuild -uc -us

debian-etch:
	rm -f debian
	ln -s misc/etch/debian debian
	chmod a+x debian/rules
	debuild -uc -us

debian-dapper:
	rm -f debian
	ln -s misc/dapper/debian debian
	chmod a+x debian/rules
	debuild -uc -us

debian-edgy:
	rm -f debian
	ln -s misc/edgy/debian debian
	chmod a+x debian/rules
	debuild -uc -us

debian-feisty:
	rm -f debian
	ln -s misc/feisty/debian debian
	chmod a+x debian/rules
	debuild -uc -us

debian-sarge:
	rm -f debian
	ln -s misc/sarge/debian debian
	chmod a+x debian/rules
	debuild -uc -us

DOC_TEMPLATE=doc/template.tpl
docs:
	lore -p --config template=$(DOC_TEMPLATE) --config ext=.html \
	--config baseurl='api/%s-class.html' \
	`find doc -name '*.xhtml'`
doc/%.html: doc/%.xhtml
	lore -p --config template=$(DOC_TEMPLATE) --config ext=.html \
	--config baseurl='api/%s-class.html' \
	$<

api-docs:
	rm -rf doc/api
	PYTHONPATH=. epydoc -v -o doc/api --html -n Foolscap -u http://foolscap.lothar.com --exclude foolscap.test foolscap

pyflakes:
	pyflakes bin foolscap

find-trailing-spaces:
	find-trailing-spaces -r bin foolscap

=== misc/dapper/debian/changelog ===
foolscap (0.2.3) unstable; urgency=low

  * new release, logging improvements

 -- Brian Warner <warner@lothar.com>  Mon, 24 Dec 2007 15:02:52 -0800

foolscap (0.2.2) unstable; urgency=low

  * new release, hopefully connection-negotiation is fixed now

 -- Brian Warner <warner@lothar.com>  Wed, 12 Dec 2007 18:12:25 -0800

foolscap (0.2.1) unstable; urgency=low

  * new release, brown-paper-bag bug

 -- Brian Warner <warner@lothar.com>  Mon, 10 Dec 2007 16:22:35 -0800

foolscap (0.2.0) unstable; urgency=low

  * new release

 -- Brian Warner <warner@lothar.com>  Mon, 10 Dec 2007 15:39:15 -0800

foolscap (0.1.7) unstable; urgency=low

  * new release

 -- Brian Warner <warner@lothar.com>  Mon, 24 Sep 2007 19:54:36 -0700

foolscap (0.1.6) unstable; urgency=low

  * new release

 -- Brian Warner <warner@lothar.com>  Sat, 01 Sep 2007 23:58:54 -0700

foolscap (0.1.5) unstable; urgency=low

  * new release

 -- Brian Warner <warner@lothar.com>  Tue, 07 Aug 2007 17:47:53 -0700

foolscap (0.1.4) unstable; urgency=low

  * new release

 -- Brian Warner <warner@lothar.com>  Mon, 14 May 2007 22:37:04 -0700

foolscap (0.1.3) unstable; urgency=low

  * new release

 -- Brian Warner <warner@lothar.com>  Wed,  2 May 2007 14:55:49 -0700

foolscap (0.1.2) unstable; urgency=low

  * new release

 -- Brian Warner <warner@lothar.com>  Wed,  4 Apr 2007 12:32:46 -0700

foolscap (0.1.1) unstable; urgency=low

  * new release

 -- Brian Warner <warner@lothar.com>  Tue,  3 Apr 2007 20:48:07 -0700

foolscap (0.1.0) unstable; urgency=low

  * new release

 -- Brian Warner <warner@lothar.com>  Thu, 15 Mar 2007 16:56:16 -0700

foolscap (0.0.7) unstable; urgency=low

  * new release

 -- Brian Warner <warner@lothar.com>  Tue, 16 Jan 2007 12:03:00 -0800

foolscap (0.0.6) unstable; urgency=low

  * new release

 -- Brian Warner <warner@lothar.com>  Mon, 18 Dec 2006 12:10:51 -0800

foolscap (0.0.5) unstable; urgency=low

  * new release

 -- Brian Warner <warner@lothar.com>  Sat,  4 Nov 2006 23:20:46 -0800

foolscap (0.0.4) unstable; urgency=low

  * new release

 -- Brian Warner <warner@lothar.com>  Thu, 26 Oct 2006 00:46:30 -0700

foolscap (0.0.3) unstable; urgency=low

  * new upstream release, put debian packaging in the tree

 -- Brian Warner <warner@lothar.com>  Tue, 10 Oct 2006 19:16:13 -0700

foolscap (0.0.2) unstable; urgency=low

  * New upstream release of an experimental package

 -- Brian Warner <warner@lothar.com>  Thu, 27 Jul 2006 17:40:15 -0700

=== misc/dapper/debian/control ===
Source: foolscap
Section: python
Priority: optional
Maintainer: Brian Warner <warner@lothar.com>
Build-Depends: debhelper (>> 4.1.68), python2.4-dev, python2.4-twisted, cdbs
Standards-Version: 3.7.2

Package: python-foolscap
Architecture: all
Depends: python (>= 2.4), python (<< 2.5), python2.4-foolscap
Description: An object-capability -based RPC system for Twisted Python
 This is a dummy package that only depends on python2.4-foolscap

Package: python2.4-foolscap
Architecture: all
Depends: python2.4, python2.4-twisted-core
Recommends: python2.4-twisted-names, python2.4-pyopenssl
Description: An object-capability -based RPC system for Twisted Python
 Foolscap (aka "newpb") contains a new RPC system for Twisted Python, combining
 capability-based security, secure references, flexible serialization, and
 technology to mitigate resource-consumption attacks.

=== misc/edgy/debian/control ===
Source: foolscap
Section: python
Priority: optional
Maintainer: Brian Warner <warner@lothar.com>
Build-Depends: debhelper (>= 5.0.37.3), cdbs (>= 0.4.43), python-central (>= 0.5), python-all-dev, python-twisted-core
XS-Python-Version: all
Standards-Version: 3.7.2

Package: python-foolscap
Architecture: all
Depends: ${python:Depends}, python-twisted-core
Recommends: python-twisted-names, python-pyopenssl
XB-Python-Version: ${python:Versions}
Description: An object-capability -based RPC system for Twisted Python
 Foolscap (aka "newpb") contains a new RPC system for Twisted Python, combining
 capability-based security, secure references, flexible serialization, and
 technology to mitigate resource-consumption attacks.

=== misc/dapper/debian/watch ===
version=3
http://twistedmatrix.com/~warner/Foolscap/ ([\d\.]+)/
